Subject: [bug#76910] [PATCH v2 0/4] Add Hyprland Plugins (Update)

From: Andrew Wong <[email-masked]>
Date: Sat, 29 Mar 2025 10:16:45 -0400

On 3/29/25 8:06a, Gabriel Santos wrote> Would it be ok if I added 
hypr-dynamic-cursors[1] to it by
> sending a V3?
Sure, go ahead! While you're at it, could you add both of our names and 
addresses to the copyright at the top of the file? I keep forgetting to 
do it :p

On 3/29/25 9:58a, Gabriel Santos wrote:
> The policy for Guix is one package per commit.
> 
> Even with the use of a helper like hyprland-plugin,
> wouldn't that also apply here?

I thought about it, but I have submitted similar patches in the past[1] 
without any hangups, so I did the same here for the sake of simplicity.

> If you allow me to submit a v3, I think I could do that.

Sure, go ahead. I'm not attached to any particular commit arrangement.

On 3/29/25 9:51a, Gabriel Santos wrote:
> I noticed that the Flake for this plugin and for
> hypr-dynamic-cursors prefix the compiled file with
> "lib"[1, 2].
> 
> Do you know why that is? Would it also be necessary
> for Guix?

I'm not sure why. It's not a requirement for the plugins to work, so I'd 
guess it's just a convention of Nix or the packager.

[1] a9a13ebccc (gnu: Add libretro-beetle-psx., 2025-01-04)